#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 41. Other X-based Programs

- Prev

  Other X-based Programs

- Next

  feh-3.6.3

- Up
- Home

# Balsa-2.6.2

## Introduction to Balsa

The Balsa package contains a GNOME-2 based mail client.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): http://pawsa.fedorapeople.org/balsa/balsa-2.6.2.tar.bz2

- Download MD5 sum: 2361369eb566e53ddc2f6afa34eb7a9d

- Download size: 4.4 MB

- Estimated disk space required: 66 MB

- Estimated build time: 0.2 SBU (Using parallelism=4)

### Balsa Dependencies

#### Required

Aspell-0.60.8, enchant-2.2.15, GMime-3.2.7, GPGME-1.15.1, GTK+-3.24.25,and Rarian-0.8.1

#### Required (Runtime)

MTA (that provides a sendmail command)

#### Recommended

PCRE-8.44

#### Optional

Compface-1.5.2, Gcr-3.38.1, gtksourceview-3.24.11, libcanberra-0.30, libnotify-0.7.9, libsecret-0.20.4, MIT Kerberos V5-1.19.1, OpenLDAP-2.4.57, Procmail-3.22, SQLite-3.34.1, WebKitGTK+-2.30.5, html2text, osmo, rubrica, yelp-tools

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/balsa

## Installation of Balsa

Install Balsa by running the following commands:

    ./configure --prefix=/usr            \
                --sysconfdir=/etc        \
                --localstatedir=/var/lib \
                --without-html-widget    \
                --without-libnotify      &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Command Explanations

`--without-html-widget`: This option disables building the HTML renderer. If you want the HTML renderer to be built, verify that you have WebKitGTK+-2.30.5 installed, and then remove this option.

`--with-canberra`: Enable libcanberra support.

`--with-compface`: Enable compface support.

`--with-gcr`: Use libgcr for TLS support.

`--with-gss`: Enable GSSAPI support.

`--with-ldap`: Use this option to enable LDAP address book support if OpenLDAP is installed.

`--with-libsecret`: Enable strong password support and support for gnome-keyring to store passwords.

`--with-sqlite`: Use this option to enable SQLite address book support if SQLite is installed.

## Contents

Installed Programs: balsa and balsa-ab
Installed Libraries: None
Installed Directories: /etc/sounds/events, /usr/share/balsa, and /usr/share/sounds/balsa

### Short Descriptions

balsa | is a glib based mail client
balsa-ab | is the address-book application used by balsa

Last updated on 2021-02-23 13:28:17 -0800

- Prev

  Other X-based Programs

- Next

  feh-3.6.3

- Up
- Home